package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum TeachIncomeTypeEnum implements BaseEnum<String, TeachIncomeTypeEnum> {
	SALARY("SALARY", "课酬"),
	SUBSIDY("SUBSIDY", "课程补贴"),
	SALE_REWARD("SALE_REWARD", "销售奖励");

	private String code;

	private String msg;

	TeachIncomeTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
